## r-cran-gbm 2.1

=== DESCRIPTION ===
Package: gbm
Version: 2.1
Date: 2013-05-10
Title: Generalized Boosted Regression Models
Author: Greg Ridgeway <gregridgeway@gmail.com> with contributions from
        others
Maintainer: Harry Southworth <harry.southworth@gmail.com>
Depends: R (>= 2.9.0), survival, lattice, splines, parallel
Suggests: RUnit
Description: This package implements extensions to Freund and
        Schapire's AdaBoost algorithm and Friedman's gradient boosting
        machine. Includes regression methods for least squares,
        absolute loss, t-distribution loss, quantile regression,
        logistic, multinomial logistic, Poisson, Cox proportional
        hazards partial likelihood, AdaBoost exponential loss,
        Huberized hinge loss, and Learning to Rank measures
        (LambdaMart).
License: GPL (>= 2) | file LICENSE
URL: http://code.google.com/p/gradientboostedmodels/
Packaged: 2013-05-10 18:01:11 UTC; harry
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-05-10 20:13:19

=== debian/changelog ===
r-cran-gbm (2.1-1) unstable; urgency=low

  * Initial release (Closes: #710278)
  * This package is based on an automatically generated package by cran2deb

 -- Pablo Oliveira <pablo@sifflez.org>  Tue, 28 May 2013 21:47:41 +0200

=== debian/control ===
Source: r-cran-gbm
Section: gnu-r
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pablo Oliveira <pablo@sifflez.org>
Build-Depends: r-base-dev, r-cran-survival, r-cran-lattice, xvfb,
 xauth, xfonts-base, r-base-core, debhelper (>> 4.1.0), cdbs,
 dpkg-dev (>= 1.16.1)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/r-cran-gbm.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/r-cran-gbm.git

Package: r-cran-gbm
Architecture: any
Depends: ${R:Depends}, r-cran-survival, r-cran-lattice, ${shlibs:Depends}
Description: GNU R package "Generalized Boosted Regression Models"
 This package implements extensions to Freund and Schapire's AdaBoost algorithm
 and Friedman's gradient boosting machine. Includes regression methods for least
 squares, absolute loss, t-distribution loss, quantile regression, logistic,
 multinomial logistic, Poisson, Cox proportional hazards partial likelihood,
 AdaBoost exponential loss, Huberized hinge loss, and Learning to Rank measures
 (LambdaMart).
 .
 Author: Greg Ridgeway <gregr@rand.org>
 .
 Maintainer: Harry Southworth <harry.southworth@gmail.com>
 .
 URL: http://code.google.com/p/gradientboostedmodels/

=== debian/rules ===
#!/usr/bin/make -f

# Compile gbm library with the read-only relocation link flag
include /usr/share/dpkg/buildflags.mk
space :=
space +=
makeFlags := "LDFLAGS=$(subst $(space),\$(space),$(LDFLAGS))"

# Do not install upstream LICENSE file
export DH_ALWAYS_EXCLUDE=LICENSE

debRreposname := cran
include /usr/share/R/debian/r-cran.mk

=== debian/watch ===
# watch control file for uscan
version=3
http://cran.r-project.org/src/contrib/gbm_(.+).tar.gz

## r-cran-gbm 2.1.1

=== DESCRIPTION ===
Package: gbm
Version: 2.1.1
Date: 2015-03-10
Title: Generalized Boosted Regression Models
Author: Greg Ridgeway <gregridgeway@gmail.com> with contributions from
        others
Maintainer: Harry Southworth <harry.southworth@gmail.com>
Depends: R (>= 2.9.0), survival, lattice, splines, parallel
Suggests: RUnit
Description: An implementation of extensions to Freund and
        Schapire's AdaBoost algorithm and Friedman's gradient boosting
        machine. Includes regression methods for least squares,
        absolute loss, t-distribution loss, quantile regression,
        logistic, multinomial logistic, Poisson, Cox proportional
        hazards partial likelihood, AdaBoost exponential loss,
        Huberized hinge loss, and Learning to Rank measures
        (LambdaMart).
License: GPL (>= 2) | file LICENSE
URL: http://code.google.com/p/gradientboostedmodels/
Packaged: 2015-03-11 07:56:18 UTC; ripley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-03-11 09:02:32

=== debian/changelog ===
r-cran-gbm (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * cme fix dpkg-control
  * debhelper 10
  * Convert to dh-r
  * d/control: Add missing Homepage field
  * Enhance short description, remove data from long description that
    should rather be in d/copyright
  * Canonical homepage for CRAN in d/copyright
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2016 16:24:04 +0100

=== debian/control ===
Source: r-cran-gbm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Pablo Oliveira <pablo@sifflez.org>
Section: gnu-r
Priority: optional
Build-Depends: r-base-dev,
               r-cran-survival,
               r-cran-lattice,
               xvfb,
               xauth,
               xfonts-base,
               r-base-core,
               debhelper (>= 10),
               dh-r
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-gbm.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-gbm.git
Homepage: https://cran.r-project.org/package=gbm

Package: r-cran-gbm
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing Generalized Boosted Regression Models
 This package implements extensions to Freund and Schapire's AdaBoost algorithm
 and Friedman's gradient boosting machine. Includes regression methods for least
 squares, absolute loss, t-distribution loss, quantile regression, logistic,
 multinomial logistic, Poisson, Cox proportional hazards partial likelihood,
 AdaBoost exponential loss, Huberized hinge loss, and Learning to Rank measures
 (LambdaMart).

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/gbm_(.+).tar.gz

## r-cran-gbm 2.1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: gbm
-Version: 2.1.1
-Date: 2015-03-10
+Version: 2.1.3
+Date: 2017-03-21
 Title: Generalized Boosted Regression Models
 Author: Greg Ridgeway <gregridgeway@gmail.com> with contributions from
         others
-Maintainer: Harry Southworth <harry.southworth@gmail.com>
+Maintainer: ORPHANED
 Depends: R (>= 2.9.0), survival, lattice, splines, parallel
 Suggests: RUnit
 Description: An implementation of extensions to Freund and
@@ -17,7 +17,11 @@
         (LambdaMart).
 License: GPL (>= 2) | file LICENSE
 URL: http://code.google.com/p/gradientboostedmodels/
-Packaged: 2015-03-11 07:56:18 UTC; ripley
+Packaged: 2017-03-21 06:44:01 UTC; ripley
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2015-03-11 09:02:32
+Date/Publication: 2017-03-21 06:48:03 UTC
+X-CRAN-Original-Maintainer: Harry Southworth
+        <harry.southworth@gmail.com>
+X-CRAN-Comment: Orphaned on 2017-03-21 as long-standing errors were not
+        corrected.  NMU by CRAN team.

=== debian/changelog ===
r-cran-gbm (2.1.3-3) unstable; urgency=medium

  * Pablo Oliveira confirmed to orphan the package
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Drop explicit r-base-core from Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 08:53:10 +0200

r-cran-gbm (2.1.3-2) unstable; urgency=medium

  * Team upload
  * Build with -ffloat-store on i386 to fix r-cran-fitcoach autopkgtest

 -- Graham Inggs <ginggs@debian.org>  Sat, 11 Nov 2017 14:37:44 +0000

r-cran-gbm (2.1.3-1) unstable; urgency=medium

  * Team upload.
  * Secure URI in watch file
  * New upstream version
  * Testsuite: autopkgtest-pkg-r
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 19:47:59 +0200

=== debian/control ===
Source: r-cran-gbm
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-survival,
               r-cran-lattice,
               xvfb,
               xauth,
               xfonts-base
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gbm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gbm.git
Homepage: https://cran.r-project.org/package=gbm

Package: r-cran-gbm
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing Generalized Boosted Regression Models
 This package implements extensions to Freund and Schapire's AdaBoost algorithm
 and Friedman's gradient boosting machine. Includes regression methods for least
 squares, absolute loss, t-distribution loss, quantile regression, logistic,
 multinomial logistic, Poisson, Cox proportional hazards partial likelihood,
 AdaBoost exponential loss, Huberized hinge loss, and Learning to Rank measures
 (LambdaMart).

## r-cran-gbm 2.1.5

=== DESCRIPTION ===
Package: gbm
Version: 2.1.5
Title: Generalized Boosted Regression Models
Authors@R: c(
  person("Brandon", "Greenwell",
         email = "greenwell.brandon@gmail.com",
         role = c("aut", "cre"),
         comment = c(ORCID = "0000-0002-8120-0084")),
  person("Bradley", "Boehmke",
         email = "bradleyboehmke@gmail.com",
         role = "aut",
         comment = c(ORCID = "0000-0002-3611-8516")),
  person("Jay", "Cunningham",
         email = "james@notbadafterall.com",
         role = "aut"),
  person("GBM", "Developers", 
         role = "aut", 
         comment = "https://github.com/gbm-developers")
  )
Depends: R (>= 2.9.0)
Imports: gridExtra, lattice, parallel, survival
Suggests: knitr, pdp, RUnit, splines, viridis
Description: An implementation of extensions to Freund and Schapire's AdaBoost 
  algorithm and Friedman's gradient boosting machine. Includes regression 
  methods for least squares, absolute loss, t-distribution loss, quantile 
  regression, logistic, multinomial logistic, Poisson, Cox proportional hazards 
  partial likelihood, AdaBoost exponential loss, Huberized hinge loss, and 
  Learning to Rank measures (LambdaMart). Originally developed by Greg Ridgeway.
License: GPL (>= 2) | file LICENSE
URL: https://github.com/gbm-developers/gbm
BugReports: https://github.com/gbm-developers/gbm/issues
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2019-01-14 14:21:52 UTC; bgreenwell
Author: Brandon Greenwell [aut, cre] (<https://orcid.org/0000-0002-8120-0084>),
  Bradley Boehmke [aut] (<https://orcid.org/0000-0002-3611-8516>),
  Jay Cunningham [aut],
  GBM Developers [aut] (https://github.com/gbm-developers)
Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
Repository: CRAN
Date/Publication: 2019-01-14 15:00:03 UTC

=== debian/changelog ===
r-cran-gbm (2.1.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:41 +0100

r-cran-gbm (2.1.5-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 16 Jan 2019 10:50:14 +0100

r-cran-gbm (2.1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2018 11:12:53 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),i386)
export PKG_CXXFLAGS += -ffloat-store
endif

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete

## r-cran-gbm 2.1.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gbm
-Version: 2.1.5
+Version: 2.1.8
 Title: Generalized Boosted Regression Models
 Authors@R: c(
   person("Brandon", "Greenwell",
@@ -18,8 +18,9 @@
          comment = "https://github.com/gbm-developers")
   )
 Depends: R (>= 2.9.0)
-Imports: gridExtra, lattice, parallel, survival
-Suggests: knitr, pdp, RUnit, splines, viridis
+Imports: lattice, parallel, survival
+Suggests: covr, gridExtra, knitr, pdp, RUnit, splines, tinytest, vip,
+        viridis
 Description: An implementation of extensions to Freund and Schapire's AdaBoost 
   algorithm and Friedman's gradient boosting machine. Includes regression 
   methods for least squares, absolute loss, t-distribution loss, quantile 
@@ -29,14 +30,15 @@
 License: GPL (>= 2) | file LICENSE
 URL: https://github.com/gbm-developers/gbm
 BugReports: https://github.com/gbm-developers/gbm/issues
-RoxygenNote: 6.1.1
+Encoding: UTF-8
+RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2019-01-14 14:21:52 UTC; bgreenwell
+Packaged: 2020-07-13 15:15:55 UTC; b780620
 Author: Brandon Greenwell [aut, cre] (<https://orcid.org/0000-0002-8120-0084>),
   Bradley Boehmke [aut] (<https://orcid.org/0000-0002-3611-8516>),
   Jay Cunningham [aut],
   GBM Developers [aut] (https://github.com/gbm-developers)
 Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
 Repository: CRAN
-Date/Publication: 2019-01-14 15:00:03 UTC
+Date/Publication: 2020-07-15 10:00:02 UTC

=== debian/changelog ===
r-cran-gbm (2.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 30 Jul 2020 08:43:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-lattice,
                r-cran-survival,
-               r-cran-lattice,
                xvfb,
                xauth,
                xfonts-base
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gbm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gbm.git
 Homepage: https://cran.r-project.org/package=gbm
+Rules-Requires-Root: no
 
 Package: r-cran-gbm
 Architecture: any

## r-cran-gbm 2.1.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gbm
-Version: 2.1.8
+Version: 2.1.8.1
 Title: Generalized Boosted Regression Models
 Authors@R: c(
   person("Brandon", "Greenwell",
@@ -34,11 +34,11 @@
 RoxygenNote: 7.1.1
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2020-07-13 15:15:55 UTC; b780620
+Packaged: 2022-08-11 15:33:34 UTC; ripley
 Author: Brandon Greenwell [aut, cre] (<https://orcid.org/0000-0002-8120-0084>),
   Bradley Boehmke [aut] (<https://orcid.org/0000-0002-3611-8516>),
   Jay Cunningham [aut],
   GBM Developers [aut] (https://github.com/gbm-developers)
 Maintainer: Brandon Greenwell <greenwell.brandon@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-07-15 10:00:02 UTC
+Date/Publication: 2022-08-11 16:15:54 UTC

=== debian/changelog ===
r-cran-gbm (2.1.8.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.

 -- Andreas Tille <tille@debian.org>  Mon, 22 Aug 2022 08:38:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-gbm
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gbm
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gbm.git
+Homepage: https://cran.r-project.org/package=gbm
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -12,11 +16,7 @@
                xvfb,
                xauth,
                xfonts-base
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gbm
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gbm.git
-Homepage: https://cran.r-project.org/package=gbm
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-gbm
 Architecture: any

## r-cran-gbm 2.2.2

=== DESCRIPTION ===
Package: gbm
Version: 2.2.2
Title: Generalized Boosted Regression Models
Authors@R: c(
  person("Greg", "Ridgeway",
         email = "gridge@upenn.edu",
         role = c("aut", "cre"),
         comment = c(ORCID = "0000-0001-6911-0804")),
  person("Daniel", "Edwards",
         email = "unknown@unknown.com",
         role = "ctb"),
  person("Brian", "Kriegler",
         email = "bkriegler@econone.com",
         role = "ctb"),
  person("Stefan", "Schroedl",
         email = "stefan@atomwise.com",
         role = "ctb"),
  person("Harry", "Southworth",
         email = "harry@dataclarityconsulting.co.uk",
         role = "ctb"),
  person("Brandon", "Greenwell",
         email = "greenwell.brandon@gmail.com",
         role = "ctb",
         comment = c(ORCID = "0000-0002-8120-0084")),
  person("Bradley", "Boehmke",
         email = "bradleyboehmke@gmail.com",
         role = "ctb",
         comment = c(ORCID = "0000-0002-3611-8516")),
  person("Jay", "Cunningham",
         email = "james@notbadafterall.com",
         role = "ctb"),
  person("GBM", "Developers", 
         role = "aut", 
         comment = "https://github.com/gbm-developers")
  )
Depends: R (>= 2.9.0)
Imports: lattice, parallel, survival
Suggests: covr, gridExtra, knitr, pdp, RUnit, splines, tinytest, vip,
        viridis
Description: An implementation of extensions to Freund and Schapire's AdaBoost 
  algorithm and Friedman's gradient boosting machine. Includes regression 
  methods for least squares, absolute loss, t-distribution loss, quantile 
  regression, logistic, multinomial logistic, Poisson, Cox proportional hazards 
  partial likelihood, AdaBoost exponential loss, Huberized hinge loss, and 
  Learning to Rank measures (LambdaMart). Originally developed by Greg Ridgeway.
  Newer version available at github.com/gbm-developers/gbm3.
License: GPL (>= 2) | file LICENSE
URL: https://github.com/gbm-developers/gbm
BugReports: https://github.com/gbm-developers/gbm/issues
Encoding: UTF-8
RoxygenNote: 7.3.1
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2024-06-26 12:33:00 UTC; greg_
Author: Greg Ridgeway [aut, cre] (<https://orcid.org/0000-0001-6911-0804>),
  Daniel Edwards [ctb],
  Brian Kriegler [ctb],
  Stefan Schroedl [ctb],
  Harry Southworth [ctb],
  Brandon Greenwell [ctb] (<https://orcid.org/0000-0002-8120-0084>),
  Bradley Boehmke [ctb] (<https://orcid.org/0000-0002-3611-8516>),
  Jay Cunningham [ctb],
  GBM Developers [aut] (https://github.com/gbm-developers)
Maintainer: Greg Ridgeway <gridge@upenn.edu>
Repository: CRAN
Date/Publication: 2024-06-28 06:20:02 UTC

=== debian/changelog ===
r-cran-gbm (2.2.2-2) unstable; urgency=medium

  * Relax test conditions
    Closes: #1064922
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 05 Dec 2025 14:29:46 +0100

r-cran-gbm (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Oct 2024 08:58:43 +0900

r-cran-gbm (2.1.9-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 22:50:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gbm
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gbm.git
 Homepage: https://cran.r-project.org/package=gbm
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
Version: 5

Source: https://cran.r-project.org/src/contrib/
Matching-Pattern: gbm_(.+).tar.gz

## r-cran-gbm 2.2.3

=== debian/changelog ===
r-cran-gbm (2.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Feb 2026 14:13:41 +0900

=== debian/control ===
Source: r-cran-gbm
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-lattice,
 r-cran-survival,
 xvfb,
 xauth,
 xfonts-base,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gbm
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gbm.git
Homepage: https://cran.r-project.org/package=gbm
Rules-Requires-Root: no

Package: r-cran-gbm
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R package providing Generalized Boosted Regression Models
 This package implements extensions to Freund and Schapire's AdaBoost algorithm
 and Friedman's gradient boosting machine. Includes regression methods for least
 squares, absolute loss, t-distribution loss, quantile regression, logistic,
 multinomial logistic, Poisson, Cox proportional hazards partial likelihood,
 AdaBoost exponential loss, Huberized hinge loss, and Learning to Rank measures
 (LambdaMart).

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-covr,
 r-cran-gridextra,
 r-cran-knitr,
 r-cran-runit,
 r-cran-tinytest,
 r-cran-viridis,
 r-cran-mass,
